<script lang="ts">
  import { onMount } from 'svelte';
  import Selector from './components/Selector.svelte';

  const languages = [
    { id: 0, opt: 'English', icon: '' },
    // { id: 1, opt: '简体', icon: '' },
    // { id: 2, opt: '繁體', icon: '' },
  ];

  let selectedLanguage = languages[0];
  let icon = '';
  onMount(async () => {
    icon = (await import('~/lib/svgs/SVGs.js')).SVGs.common.language;
  });
</script>

<Selector
  options={languages}
  selected={selectedLanguage} />
<img
  src={icon}
  width="20" />

<style>
  img {
    position: absolute;
    top: 13px;
    right: 95px;
  }

  @media (width >= 768px) {
    img {
      position: relative;
      z-index: -1;
      top: -34px;
      left: 5px;
    }
  }
</style>
